Subject: bug#51982: Erroneous handling of local variables in byte-compiled nested lambdas

From: Paul Pogonyshev <[email-masked]>
Date: Sat, 20 Nov 2021 21:53:01 +0100

Thanks for the fix. I'm sure in 2025 it will be released.

On Sat, 20 Nov 2021 at 19:34, Mattias Engdegård <[email-masked]> wrote:

> 20 nov. 2021 kl. 18.22 skrev Paul Pogonyshev <[email-masked]>:
>
> > > you cannot count on an eventual fix to be back-ported to Emacs 28
> >
> > Uh, it's not even released yet. Are the stabilization rules so strict
> that even a *fix* cannot go in? Unless it is going to be a rewrite of half
> the file...
>
> Sorry, I'd love to have it in 28 but I don't make the rules.
>
> Meanwhile, here's a lightly tested attempt at a fix. I'm not very
> satisfied by it because it forces an up-front access of a captured
> variable; I'd rather sink it to each application of the λ-lifted function.
>
>